Libretro cores missing from ppa
#1
Hello all,

I noticed some package inconsistencies in the kodi ppa for bionic. Poke @wsnipex for the help on packaging before (and thanks!).

To reproduce:
Code:
docker run -it --rm ubuntu:18.04 bash
apt-get update -yq && apt-get install -yq software-properties-common
add-apt-repository -yq ppa:team-xbmc/ppa && apt-get update -yq
apt-get install -yq kodi-game-libretro-mame # this line fails

It looks like some packages aren't listed as being in that repository, despite showing up here:
https://launchpad.net/~team-xbmc/+archiv...ter=bionic

Checking apt-cache shows the truncated list:
Code:
apt-cache search kodi-game
Code:

kodi-game-libretro - Libretro wrapper for Kodi's Game API
kodi-game-libretro-beetle-pce-fast - NEC - PC Engine / CD (Beetle PCE FAST) core for kodi's retroplayer
kodi-game-libretro-beetle-vb - Nintendo - Virtual Boy (Beetle VB) core for kodi's retroplayer
kodi-game-libretro-beetle-wswan - Bandai - WonderSwan/Color (Beetle Cygne) core for kodi's retroplayer
kodi-game-libretro-bsnes-mercury-accuracy - Nintendo - SNES / Famicom (bsnes-mercury Accuracy) core for kodi's retroplayer
kodi-game-libretro-bsnes-mercury-balanced - Nintendo - SNES / Famicom (bsnes-mercury Balanced) core for kodi's retroplayer
kodi-game-libretro-bsnes-mercury-performance - Nintendo - SNES / Famicom (bsnes-mercury Performance) core for kodi's retroplayer
kodi-game-libretro-dbg - debug symbols for Libretro wrapper for Kodi's Game API
kodi-game-libretro-desmume - Nintendo - DS (DeSmuME) core for kodi's retroplayer
kodi-game-libretro-fbalpha - Arcade (FB Alpha) core for kodi's retroplayer
kodi-game-libretro-fbalpha2012 - Arcade (FB Alpha 2012) core for kodi's retroplayer
kodi-game-libretro-fuse - ZX Spectrum (Fuse) core for kodi's retroplayer
kodi-game-libretro-gambatte - Nintendo - Game Boy / Color (Gambatte) core for kodi's retroplayer
kodi-game-libretro-prboom - Doom (PrBoom) core for kodi's retroplayer
kodi-game-libretro-stella - Atari - 2600 (Stella) core for kodi's retroplayer
kodi-game-libretro-tgbdual - Nintendo - Game Boy / Color (TGB Dual) core for kodi's retroplayer
kodi-game-libretro-vba-next - Nintendo - Game Boy Advance (VBA Next) core for kodi's retroplayer
kodi-game-libretro-virtualjaguar - Atari - Jaguar (Virtual Jaguar) core for kodi's retroplayer

Would it be possible to enable the rest?
Reply
#2
I was a bit overzealous with the -q, this block works to reproduce:
Code:
docker run -it --rm ubuntu:18.04 bash
apt-get update -yq && apt-get install -yq software-properties-common
add-apt-repository -y ppa:team-xbmc/ppa && apt-get update -yq
apt-get install -yq kodi-game-libretro-mame # this line fails
Reply
#3
(2019-10-15, 03:22)bgemmill Wrote: I was a bit overzealous with the -q, this block works to reproduce:
Code:
docker run -it --rm ubuntu:18.04 bash
apt-get update -yq && apt-get install -yq software-properties-common
add-apt-repository -y ppa:team-xbmc/ppa && apt-get update -yq
apt-get install -yq kodi-game-libretro-mame # this line fails

I just posted a related question on ask Ubuntu. Maybe it will be helpful for someone.

https://askubuntu.com/questions/1181051/...sed-by-apt
Reply
#4
if you check https://launchpad.net/~team-xbmc/+archiv...ies_filter= (package details view), you'll note that many of the retro cores simply failed to build. Those still show up on the launchpad listing, but they are not available for install via apt.
Reply
#5
Thanks for that; is the recommended way forward to use this repository?
Reply



Logout Mark Read Team Forum Stats Members Help
Libretro cores missing from ppa0
This forum uses Lukasz Tkacz MyBB addons.